// FNDDisplay.h: interface for the CFNDDisplay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FNDDISPLAY_H__ADE332A0_3FCA_11D6_8B1B_00047583F96D__INCLUDED_)
#define AFX_FNDDISPLAY_H__ADE332A0_3FCA_11D6_8B1B_00047583F96D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFNDDisplay  
{
public:
	void Refresh(int x, int y,char* str);
	void Unit(int x, int y,LPCTSTR str);
	void Close();
	SetFrame(CWnd* pWnd);
	CFNDDisplay();
	virtual ~CFNDDisplay();
	void SetColor(int color) { m_Color=color; }
	int GetColor(void) { return m_Color; }

protected:
	int MapIndex(int ch);

	int			m_Color;			// 0:green, 1:red, 2:yellow
	CWnd*		m_pWnd;				// Parant class
	CDC*		m_pDC;				// DC of frame
	CDC			m_MemDC;			// Memory DC
	CRect		m_Rect;				// Client rectangle of frame

	CBitmap		m_Bitmap;			// Memory buffer
	CBitmap*	m_pOldBitmap;		// Old memory buffer

	CDC			m_MemDCFND;			// Memory DC
	CBitmap		m_BitmapFND;
	CBitmap*	m_pOldBitmapFND;
};

#endif // !defined(AFX_FNDDISPLAY_H__ADE332A0_3FCA_11D6_8B1B_00047583F96D__INCLUDED_)
