// TZSeriesDlg.h : header file
//

#if !defined(AFX_TZSERIESDLG_H__BF8FE62C_A79F_401A_8558_D53BD50527C5__INCLUDED_)
#define AFX_TZSERIESDLG_H__BF8FE62C_A79F_401A_8558_D53BD50527C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



#include "AutonicsComCtrl.h"
#include "FNDDisplay.h"
#include "LEDDisplay.h"



/////////////////////////////////////////////////////////////////////////////
// CTZSeriesDlg dialog
#define TZ_MAX_NUM		100

class CTZSeriesDlg : public CDialog
{
// Construction
public:
	CTZSeriesDlg(CWnd* pParent = NULL);	// standard constructor

	CAutonicsComCtrl	m_comm;
	CFNDDisplay			m_FND;
	CLEDDisplay			m_LED;
	char				m_PV_Value[30];
	char				m_SV_Value[30];

	char				m_Addr[TZ_MAX_NUM];
	char				m_AddrCurrIndex;
	char				m_AddrRequest;
	char				m_Request;
	char				m_MainRequest;
	char				m_MaxNum;

	void Init();
	void Close();
	void PNPList(int addr, int stat);
	int ReadPacket();
	int SendPacket(int addr, int read_mode);

	// Comm-config
	int					m_Comm_Port;
	int					m_Comm_Baudrate;
	int					m_Comm_DataBit;
	int					m_Comm_ParityBit;
	int					m_Comm_StopBit;

	void Pause();
	void Restart();

// Dialog Data
	//{{AFX_DATA(CTZSeriesDlg)
	enum { IDD = IDD_TZSERIES_DIALOG };
	CStatic	m_ETXBCC;
	CStatic	m_Frame;
	CEdit	m_SendMsg;
	CEdit	m_ReceiveMsg;
	CComboBox	m_AddrList;
	CButton	m_PNP;
	CButton	m_Auto;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTZSeriesDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTZSeriesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonSend();
	afx_msg void OnCheckAuto();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStaticFront();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TZSERIESDLG_H__BF8FE62C_A79F_401A_8558_D53BD50527C5__INCLUDED_)
