// LEDDisplay.h: interface for the CLEDDisplay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LEDDISPLAY_H__A3C0C4F9_585E_4256_B689_936F7599A337__INCLUDED_)
#define AFX_LEDDISPLAY_H__A3C0C4F9_585E_4256_B689_936F7599A337__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLEDDisplay  
{
public:
	CLEDDisplay();
	virtual ~CLEDDisplay();

	void Refresh(int x, int y, int mode);
	void Close();
	SetFrame(CWnd* pWnd);
	void SetMode(int mode) { m_Mode=mode; }
	int GetMode(void) { return m_Mode; }

protected:
	int			m_Mode;				// 0:red, 1:green, 2:off, 3:yellow
	CWnd*		m_pWnd;				// Parant class
	CDC*		m_pDC;				// DC of frame
	CDC			m_MemDC;			// Memory DC
	CRect		m_Rect;				// Client rectangle of frame

	CBitmap		m_Bitmap;			// Memory buffer
	CBitmap*	m_pOldBitmap;		// Old memory buffer

	CDC			m_MemDCLED;			// Memory DC
	CBitmap		m_BitmapLED;
	CBitmap*	m_pOldBitmapLED;
};

#endif // !defined(AFX_LEDDISPLAY_H__A3C0C4F9_585E_4256_B689_936F7599A337__INCLUDED_)
